curl --request PATCH \
--url https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "merchant1.branch1@gmail.com",
"phone_number": "+254700000050",
"first_name": "NewFirst",
"last_name": "NewLast",
"kyc_status": "approved",
"is_active": true
}
'{
"merchant": {
"id": "f004fba4-7b6c-423a-983b-fdc283f8a1ab",
"email": "merchant1.branch1@gmail.com",
"phone_number": "+254700000050",
"first_name": "NewFirst",
"last_name": "NewLast",
"role": "vendor",
"kyc_status": "approved",
"is_active": true,
"parent_vendor_id": "a2aeca1d-9686-4158-b4be-d0a3fd04760e"
}
}Updates basic profile, KYC status, and active flag for a merchant or sub-merchant.
curl --request PATCH \
--url https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "merchant1.branch1@gmail.com",
"phone_number": "+254700000050",
"first_name": "NewFirst",
"last_name": "NewLast",
"kyc_status": "approved",
"is_active": true
}
'{
"merchant": {
"id": "f004fba4-7b6c-423a-983b-fdc283f8a1ab",
"email": "merchant1.branch1@gmail.com",
"phone_number": "+254700000050",
"first_name": "NewFirst",
"last_name": "NewLast",
"role": "vendor",
"kyc_status": "approved",
"is_active": true,
"parent_vendor_id": "a2aeca1d-9686-4158-b4be-d0a3fd04760e"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Merchant updated